<html><head><meta charset="utf-8"/><title>Test Report</title><style type="text/css">html, body {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 1rem;
	margin: 0;
	padding: 0;
	color: #333;
}
body {
	padding: 1rem;
	font-size: 0.85rem;
}
#jesthtml-content {
	margin-bottom: 2rem;
}
header {
	display: flex;
	align-items: center;
}
#title {
	margin: 0;
	flex-grow: 1;
}
#logo {
	height: 4rem;
}
#timestamp {
	font-weight: bold;
	color: #666;
	margin-bottom: 0.5rem;
}
#summary {
	color: #999;
	margin-bottom: 1rem;
}
.suite-info {
	padding: 1rem;
	background-color: #eee;
	border-bottom: 2px solid #999;
	color: #999;
	display: flex;
	align-items: center;
}
.suite-info .suite-path {
	font-weight: bold;
	word-break: break-all;
	flex-grow: 1;
}
.suite-info .suite-time {
	margin-left: 0.5rem;
	padding: 0.2rem 0.3rem;
	font-size: 0.75rem;
}
.suite-info .suite-time.warn {
	background-color: #D8000C;
	color: #fff;
}
.suite-table {
	width: 100%;
	font-size: 0.85rem;
	margin-bottom: 1em;
}
.suite-table td {
	padding: 0.5rem;
}
.suite-table tr.passed {
	background-color: #DFF2BF;
	color: #4F8A10;
}
.suite-table tr.pending {
	background-color: #FEEFB3;
	color: #9F6000;
}
.suite-table tr.failed {
	background-color: #FFBABA;
	color: #D8000C;
}
.suite-table td {
	font-size: 0.85rem;
	border-bottom: 1px solid #aaa;
	vertical-align: top;
}
.suite-table td.suite {
	font-weight: bold;
	width: 20%;
}
.suite-table td.test {
	font-style: italic;
	width: 60%;
}
.suite-table td.test .failureMsg {
	font-size: 1rem;
	white-space: pre-wrap;
	white-space: -moz-pre-wrap;
	white-space: -pre-wrap;
	white-space: -o-pre-wrap;
	word-wrap: break-word;
}
.suite-table td.result {
	width: 20%;
	text-align: right;
}

/* CONSOLE LOGS */
.suite-consolelog {
	margin-bottom: 2rem;
	padding: 1rem;
	background-color: #efefef;
}
.suite-consolelog-header {
	font-weight: bold;
}
.suite-consolelog-item {
	padding: 0.5rem;
}
.suite-consolelog-item pre {
	margin: 0;
}
.suite-consolelog-item-origin {
	color: #777;
	font-weight: bold;
}
.suite-consolelog-item-message {
	color: #000;
	font-size: 1rem;
	padding: 0 0.5rem;
}
</style></head><body><div id="jesthtml-content"><header><h1 id="title">Test Report</h1></header><div id="metadata-container"><div id="timestamp">Start: 2020-02-17 16:00:46</div><div id="summary">1 tests -- 0 passed / 1 failed / 0 pending</div></div><div class="suite-info"><div class="suite-path">C:\RajeshProjects\bdd-weatherapi-jest-cucumber\step-definitions\checkWeather.steps.js</div><div class="suite-time">1.664s</div></div><table class="suite-table" cellspacing="0" cellpadding="0"><tr class="failed"><td class="suite">Holiday Planner</td><td class="test">A happy holidaymaker<div class="failureMessages"><pre class="failureMsg">Error: Failed: "Not your favorite day for holiday!"
    at Env.it (C:\RajeshProjects\bdd-weatherapi-jest-cucumber\node_modules\jest-jasmine2\build\jasmineAsyncInstall.js:89:24)
    at it (C:\RajeshProjects\bdd-weatherapi-jest-cucumber\node_modules\jest-jasmine2\build\jasmine\jasmineLight.js:117:21)
    at defineScenario (C:\RajeshProjects\bdd-weatherapi-jest-cucumber\node_modules\jest-cucumber\src\feature-definition-creation.ts:117:5)
    at test (C:\RajeshProjects\bdd-weatherapi-jest-cucumber\node_modules\jest-cucumber\src\feature-definition-creation.ts:194:13)
    at C:\RajeshProjects\bdd-weatherapi-jest-cucumber\step-definitions\checkWeather.steps.js:6:3
    at Suite.&lt;anonymous&gt; (C:\RajeshProjects\bdd-weatherapi-jest-cucumber\node_modules\jest-cucumber\src\feature-definition-creation.ts:279:9)
    at addSpecsToSuite (C:\RajeshProjects\bdd-weatherapi-jest-cucumber\node_modules\jest-jasmine2\build\jasmine\Env.js:444:51)
    at Env.describe (C:\RajeshProjects\bdd-weatherapi-jest-cucumber\node_modules\jest-jasmine2\build\jasmine\Env.js:414:11)
    at describe (C:\RajeshProjects\bdd-weatherapi-jest-cucumber\node_modules\jest-jasmine2\build\jasmine\jasmineLight.js:105:18)
    at defineFeature (C:\RajeshProjects\bdd-weatherapi-jest-cucumber\node_modules\jest-cucumber\src\feature-definition-creation.ts:278:5)</pre></div></td><td class="result">failed</td></tr></table></div></body></html>